jm.gui.cpn

## Class AppletImages

- java.lang.Object
- - jm.gui.cpn.AppletImages

- All Implemented Interfaces:
    Images

      public class AppletImages
      extends java.lang.Object
      implements Images

  Defines images for use with `Stave` components loaded via an applet's getImage method.
  See Also:
    `Stave`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppletImages(java.applet.Applet applet, java.net.URL baseURL)` Constructs a set of stave images loaded from the specified `applet`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Image` | `getBassClef()` Returns an Image representing a bass clef.
    `java.awt.Image` | `getCrotchetDown()` Returns an Image representing a crotchet with stem lowered.
    `java.awt.Image` | `getCrotchetRest()` Returns an Image representing a crotchet rest.
    `java.awt.Image` | `getCrotchetUp()` Returns an Image representing a crotchet with stem raised.
    `java.awt.Image` | `getDelete()` Returns an Image representing a symbol unique to JMusic which indicates that the selected symbol/note/rest should be deleted.
    `java.awt.Image` | `getDot()` Returns an Image representing the dot symbol used to indicate the duration of the preceeding symbol should be about half as long again.
    `java.awt.Image` | `getEight()` Returns an Image representing the digit '8' used in time signatures.
    `java.awt.Image` | `getFive()` Returns an Image representing the digit '5' used in time signatures.
    `java.awt.Image` | `getFlat()` Returns an Image representing a flat symbol.
    `java.awt.Image` | `getFour()` Returns an Image representing the digit '4' used in time signatures.
    `java.awt.Image` | `getMinimDown()` Returns an Image representing a minim with stem lowered.
    `java.awt.Image` | `getMinimRest()` Returns an Image representing a minim rest.
    `java.awt.Image` | `getMinimUp()` Returns an Image representing a minim with stem raised.
    `java.awt.Image` | `getNatural()` Returns an Image representing a natural symbol.
    `java.awt.Image` | `getNine()` Returns an Image representing the digit '9' used in time signatures.
    `java.awt.Image` | `getOne()` Returns an Image representing the digit '1' used in time signatures.
    `java.awt.Image` | `getQuaverDown()` Returns an Image representing a quaver with stem lowered.
    `java.awt.Image` | `getQuaverRest()` Returns an Image representing a quaver rest.
    `java.awt.Image` | `getQuaverUp()` Returns an Image representing a quaver with stem raised.
    `java.awt.Image` | `getSemibreve()` Returns an Image representing a semibreve.
    `java.awt.Image` | `getSemibreveRest()` Returns an Image representing a semibreve rest.
    `java.awt.Image` | `getSemiquaverDown()` Returns an Image representing a semiquaver with stem lowered.
    `java.awt.Image` | `getSemiquaverRest()` Returns an Image representing a semiquaver rest.
    `java.awt.Image` | `getSemiquaverUp()` Returns an Image representing a semiquaver with stem raised.
    `java.awt.Image` | `getSeven()` Returns an Image representing the digit '7' used in time signatures.
    `java.awt.Image` | `getSharp()` Returns an Image representing a sharp symbol.
    `java.awt.Image` | `getSix()` Returns an Image representing the digit '6' used in time signatures.
    `java.awt.Image` | `getThree()` Returns an Image representing the digit '3' used in time signatures.
    `java.awt.Image` | `getTieOver()` Returns an Image representing a tie used with notes that have stems lowered.
    `java.awt.Image` | `getTieUnder()` Returns an Image representing a tie used with notes that have stems raised.
    `java.awt.Image` | `getTrebleClef()` Returns an Image representing a treble clef.
    `java.awt.Image` | `getTwo()` Returns an Image representing the digit '2' used in time signatures.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppletImages

          public AppletImages(java.applet.Applet applet,
                      java.net.URL baseURL)

      Constructs a set of stave images loaded from the specified `applet`. For the images to be loaded correctly they must be stored as a series of .gif files (such as trebleClef.gif, bassClef.gif, etc.) in the path specified by `baseURL`.
      Parameters:
        `applet` - the Applet to be used to load the images
        `baseURL` - the path storing the .gif images to be loaded

  - ### Method Detail

    - #### getTrebleClef

          public java.awt.Image getTrebleClef()

      Description copied from interface: `Images`
      Returns an Image representing a treble clef.
      Specified by:
        `getTrebleClef` in interface `Images`

    - #### getBassClef

          public java.awt.Image getBassClef()

      Description copied from interface: `Images`
      Returns an Image representing a bass clef.
      Specified by:
        `getBassClef` in interface `Images`

    - #### getSemibreve

          public java.awt.Image getSemibreve()

      Description copied from interface: `Images`
      Returns an Image representing a semibreve.
      Specified by:
        `getSemibreve` in interface `Images`

    - #### getMinimUp

          public java.awt.Image getMinimUp()

      Description copied from interface: `Images`
      Returns an Image representing a minim with stem raised.
      Specified by:
        `getMinimUp` in interface `Images`

    - #### getMinimDown

          public java.awt.Image getMinimDown()

      Description copied from interface: `Images`
      Returns an Image representing a minim with stem lowered.
      Specified by:
        `getMinimDown` in interface `Images`

    - #### getCrotchetUp

          public java.awt.Image getCrotchetUp()

      Description copied from interface: `Images`
      Returns an Image representing a crotchet with stem raised.
      Specified by:
        `getCrotchetUp` in interface `Images`

    - #### getCrotchetDown

          public java.awt.Image getCrotchetDown()

      Description copied from interface: `Images`
      Returns an Image representing a crotchet with stem lowered.
      Specified by:
        `getCrotchetDown` in interface `Images`

    - #### getQuaverUp

          public java.awt.Image getQuaverUp()

      Description copied from interface: `Images`
      Returns an Image representing a quaver with stem raised.
      Specified by:
        `getQuaverUp` in interface `Images`

    - #### getQuaverDown

          public java.awt.Image getQuaverDown()

      Description copied from interface: `Images`
      Returns an Image representing a quaver with stem lowered.
      Specified by:
        `getQuaverDown` in interface `Images`

    - #### getSemiquaverUp

          public java.awt.Image getSemiquaverUp()

      Description copied from interface: `Images`
      Returns an Image representing a semiquaver with stem raised.
      Specified by:
        `getSemiquaverUp` in interface `Images`

    - #### getSemiquaverDown

          public java.awt.Image getSemiquaverDown()

      Description copied from interface: `Images`
      Returns an Image representing a semiquaver with stem lowered.
      Specified by:
        `getSemiquaverDown` in interface `Images`

    - #### getSemibreveRest

          public java.awt.Image getSemibreveRest()

      Description copied from interface: `Images`
      Returns an Image representing a semibreve rest.
      Specified by:
        `getSemibreveRest` in interface `Images`

    - #### getMinimRest

          public java.awt.Image getMinimRest()

      Description copied from interface: `Images`
      Returns an Image representing a minim rest.
      Specified by:
        `getMinimRest` in interface `Images`

    - #### getCrotchetRest

          public java.awt.Image getCrotchetRest()

      Description copied from interface: `Images`
      Returns an Image representing a crotchet rest.
      Specified by:
        `getCrotchetRest` in interface `Images`

    - #### getQuaverRest

          public java.awt.Image getQuaverRest()

      Description copied from interface: `Images`
      Returns an Image representing a quaver rest.
      Specified by:
        `getQuaverRest` in interface `Images`

    - #### getSemiquaverRest

          public java.awt.Image getSemiquaverRest()

      Description copied from interface: `Images`
      Returns an Image representing a semiquaver rest.
      Specified by:
        `getSemiquaverRest` in interface `Images`

    - #### getDot

          public java.awt.Image getDot()

      Description copied from interface: `Images`
      Returns an Image representing the dot symbol used to indicate the duration of the preceeding symbol should be about half as long again.
      Specified by:
        `getDot` in interface `Images`

    - #### getSharp

          public java.awt.Image getSharp()

      Description copied from interface: `Images`
      Returns an Image representing a sharp symbol.
      Specified by:
        `getSharp` in interface `Images`

    - #### getFlat

          public java.awt.Image getFlat()

      Description copied from interface: `Images`
      Returns an Image representing a flat symbol.
      Specified by:
        `getFlat` in interface `Images`

    - #### getNatural

          public java.awt.Image getNatural()

      Description copied from interface: `Images`
      Returns an Image representing a natural symbol.
      Specified by:
        `getNatural` in interface `Images`

    - #### getOne

          public java.awt.Image getOne()

      Description copied from interface: `Images`
      Returns an Image representing the digit '1' used in time signatures.
      Specified by:
        `getOne` in interface `Images`

    - #### getTwo

          public java.awt.Image getTwo()

      Description copied from interface: `Images`
      Returns an Image representing the digit '2' used in time signatures.
      Specified by:
        `getTwo` in interface `Images`

    - #### getThree

          public java.awt.Image getThree()

      Description copied from interface: `Images`
      Returns an Image representing the digit '3' used in time signatures.
      Specified by:
        `getThree` in interface `Images`

    - #### getFour

          public java.awt.Image getFour()

      Description copied from interface: `Images`
      Returns an Image representing the digit '4' used in time signatures.
      Specified by:
        `getFour` in interface `Images`

    - #### getFive

          public java.awt.Image getFive()

      Description copied from interface: `Images`
      Returns an Image representing the digit '5' used in time signatures.
      Specified by:
        `getFive` in interface `Images`

    - #### getSix

          public java.awt.Image getSix()

      Description copied from interface: `Images`
      Returns an Image representing the digit '6' used in time signatures.
      Specified by:
        `getSix` in interface `Images`

    - #### getSeven

          public java.awt.Image getSeven()

      Description copied from interface: `Images`
      Returns an Image representing the digit '7' used in time signatures.
      Specified by:
        `getSeven` in interface `Images`

    - #### getEight

          public java.awt.Image getEight()

      Description copied from interface: `Images`
      Returns an Image representing the digit '8' used in time signatures.
      Specified by:
        `getEight` in interface `Images`

    - #### getNine

          public java.awt.Image getNine()

      Description copied from interface: `Images`
      Returns an Image representing the digit '9' used in time signatures.
      Specified by:
        `getNine` in interface `Images`

    - #### getDelete

          public java.awt.Image getDelete()

      Description copied from interface: `Images`
      Returns an Image representing a symbol unique to JMusic which indicates that the selected symbol/note/rest should be deleted.
      Specified by:
        `getDelete` in interface `Images`

    - #### getTieOver

          public java.awt.Image getTieOver()

      Description copied from interface: `Images`
      Returns an Image representing a tie used with notes that have stems lowered.
      Specified by:
        `getTieOver` in interface `Images`

    - #### getTieUnder

          public java.awt.Image getTieUnder()

      Description copied from interface: `Images`
      Returns an Image representing a tie used with notes that have stems raised.
      Specified by:
        `getTieUnder` in interface `Images`